Skip to content
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Create loaded extensions

Runs the create_extensions workflow for the extensions of the service whose library is in the running shared_preload_libraries and that do not exist. 409 when none waits, or when another action runs.

POST/api/v1/database-services/{id}/extensions/create
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
202

Accepted

workflow_idstringrequired

The create_extensions workflow.

default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/string/extensions/create' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "workflow_id": "string"
}